%define upstream_name    Config-Properties
%define upstream_version 1.75

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Configuration using Java style properties
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Wrap) >= 2001.92.900
BuildArch:  noarch

%description

Config::Properties is a near implementation of the java.util.Properties
API. It is designed to allow easy reading, writing and manipulation of
Java-style property files.

The format of a Java-style property file is that of a key-value pair
seperated by either whitespace, the colon (:) character, or the equals (=)
character. Whitespace before the key and on either side of the seperator is
ignored.

Lines that begin with either a hash (#) or a bang (!) are considered
comment lines and ignored.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.750.0-3.mga4
+ Revision: 510325
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.750.0-2.mga3
+ Revision: 364703
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 1.750.0-1.mga3
+ Revision: 285216
- update to 1.75

* Tue Oct 11 2011 takashi <takashi> 1.730.0-1.mga2
+ Revision: 153826
- update to 1.73
- update to 1.73

  + jquelin <jquelin>
    - update to 1.72

* Sat Jan 22 2011 jquelin <jquelin> 1.710.0-1.mga1
+ Revision: 31806
- mageia rebuild
- imported package perl-Config-Properties

